## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanList::Node Struct Template Reference

`#include <XalanList.hpp>`

List of all members.

## Public Methods

- Node (const value_type &theValue, Node &prevNode, Node &nextNode)

## Public Attributes

- value_type value
- Node* prev
- Node* next

### template<class Type> struct XalanList::Node

## Constructor & Destructor Documentation

XalanList::Node::Node ( | const value_type & theValue,
| Node & prevNode,
| Node & nextNode )

## Member Data Documentation

Node * XalanList::Node::next

Node * XalanList::Node::prev

value_type XalanList::Node::value

The documentation for this struct was generated from the following file:

- XalanList.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.